%define upstream_name    Number-Natural-SetTheory
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Set-theoretic definition of natural numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(JSON)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(boolean)
BuildArch:  noarch

%description
For years mathematicians struggled to answer what numbers exactly *are*. A
satisfactory answer came out of the world of set theory. Because Perl
doesn't have sets as a first class data type, we use arrays instead. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.4.0-4pclos2017
- rebuild against updates

